<?php
/**
 * @version		$Id: blog_item.php 21651 2011-06-23 05:31:49Z chdemko $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::core();

?>

<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?>


<div class="bt_content">

    <div class="bt_content_bgline">
	
    	<?php  if (($params->get('show_author') && !empty($this->item->author )) || (intval($this->item->modified) !=0 && $params->get('show_modify_date')) || ($params->get('show_create_date')) || ($params->get('show_print_icon') || $params->get('show_email_icon')) || $params->get('show_hits') || $canEdit) { ?>
		
        	<div class="bt_content_first_line">
            
				<?php if ($params->get('show_create_date')) : ?>
                    <div class="bt_content_createdate">
                        <?php echo JHTML::_('date', $this->item->created, JText::_('d M Y')) ?>
                    </div>
                <?php endif; ?>
            
				<?php if (($params->get('show_author')) && (!empty($this->item->author ))) : ?>
                    <div class="bt_content_author">
                        <?php 
						$bt_author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author;
                        echo $bt_author;
                        ?>
                    </div>
                <?php endif; ?>
                
                
				<?php if (intval($this->item->modified) !=0 && $params->get('show_modify_date')) : ?>
                <div class="bt_content_modify_date">
					<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date',$this->item->modified, JText::_('d M Y, H:i'))); ?>
                </div>
                <?php endif; ?>
                
				<?php if ($params->get('show_hits')) : ?>
                    <div class="bt_content_hits">
                    <?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
                    </div>
                <?php endif; ?>
                
                
				<div class="bt_content_tools">
                
					<?php if (!$this->print) : ?>
                    
                        <?php if ($params->get('show_print_icon')) : ?>
                            <div class="bt_content_print">
                            	<?php echo JHtml::_('icon.print_popup',  $this->item, $params); ?>
							</div>
                        <?php endif; ?>

                       <?php if ($params->get('show_email_icon')) : ?>
                            <div class="bt_content_email">
                            	<?php echo JHtml::_('icon.email',  $this->item, $params); ?>
							</div>
                        <?php endif; ?>

                        <?php if ($canEdit) : ?>
                            <div class="bt_content_edit">
                            	<?php echo JHtml::_('icon.edit', $this->item, $params); ?>
                    		</div>
                        <?php endif; ?>
                
                    <?php else : ?>
                        <div class="bt_content_edit">
                        <?php echo JHtml::_('icon.print_screen',  $this->item, $params); ?>
                        </div>
                    <?php endif; ?>
                
                </div>
                
			</div>
        
    	<?php } ?>
        
    </div>


	<?php if (($params->get('show_parent_category') && $this->item->parent_slug != '1:root') || $params->get('show_category')) : ?>
    <div class="bt_content_second_line">
                
        <div class="bt_content_section_category">
 
			 <?php if ($params->get('show_parent_category') && $this->item->parent_slug != '1:root') : ?>
                <div class="bt_content_section">
                <?php	$title = $this->escape($this->item->parent_title);
                $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)).'">'.$title.'</a>';?>
                <?php if ($params->get('link_parent_category') AND $this->item->parent_slug) : ?>
                    <?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
                <?php else : ?>
                    <?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
                <?php endif; ?>
                </div>
            <?php endif; ?>
            <?php if ($params->get('show_category')) : ?>
                <div class="bt_content_category">
                <?php $title = $this->escape($this->item->category_title);
                $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug)).'">'.$title.'</a>';?>
                <?php if ($params->get('link_category') AND $this->item->catslug) : ?>
                    <?php echo JText::sprintf('COM_CONTENT_CATEGORY', $url); ?>
                <?php else : ?>
                    <?php echo JText::sprintf('COM_CONTENT_CATEGORY', $title); ?>
                <?php endif; ?>
                </div>
            <?php endif; ?>
        
        </div>
                
    </div>

    <?php endif; ?>
    
	<?php if ($params->get('show_title')) : ?>
		<!-- Article Title -->
        <div class="bt_content_title">
        <div class="bt_content_title_inner">
        <?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
            <a href="<?php echo $this->item->readmore_link; ?>">
            <?php echo $this->escape($this->item->title); ?></a>
        <?php else : ?>
            <?php echo $this->escape($this->item->title); ?>
        <?php endif; ?>
        </div>
        </div>
	<?php endif; ?>

	<?php
	//Joomla Core
	if (!$params->get('show_intro')) :
		echo $this->item->event->afterDisplayTitle;
	endif; 
	
	?>

	<?php echo $this->item->event->beforeDisplayContent; ?>


    <div class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
    	
        <?php echo $this->article->event->beforeDisplayContent; ?>
        
        <!-- Content -->
        <div class="bt_content_text">
        
            <?php if (isset ($this->article->toc)) : ?>
                <?php echo $this->article->toc; ?>
            <?php endif; ?>
            
			<?php 
            if ($params->get('access-view')):
            ?>
                <?php echo $this->item->introtext; ?>
                <?php //optional teaser intro text for guests ?>
            <?php
            elseif ($params->get('show_noauth') == true AND  $user->get('guest') ) : 
            ?>
                <?php echo $this->item->introtext; ?>
                <?php //Optional link to let them register to see the whole article. ?>
                <?php if ($params->get('show_readmore') && $this->item->fulltext != null) :
                    $link1 = JRoute::_('index.php?option=com_users&view=login');
                    $link = new JURI($link1);?>
                    <p class="readmore">
                    <a href="<?php echo $link; ?>">
                    <?php $attribs = json_decode($this->item->attribs);  ?>
                    <?php
                    if ($attribs->alternative_readmore == null) :
                        echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
                    elseif ($readmore = $this->item->alternative_readmore) :
                        echo $readmore;
                        if ($params->get('show_readmore_title', 0) != 0) :
                            echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
                        endif;
                    elseif ($params->get('show_readmore_title', 0) == 0) :
                        echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
                    else :
                        echo JText::_('COM_CONTENT_READ_MORE');
                        echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
                    endif; ?></a>
                    </p>
                <?php endif; ?>
            <?php endif; ?>
            
        </div>
    
    </div>

</div>

<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>

<div class="item-separator"></div>

<?php echo $this->item->event->afterDisplayContent; ?>
