<?php
/*--------------------------------------------------------
# BT Super News v1.0 - Joomla Module
# --------------------------------------------------------
# Joomla 1.5, @joomla 1.7
# Copyright (C) 2011 Bonusthemes.com. All Rights Reserved.
# @license GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
# Website: http://www.bonusthemes.com/
# Support: support@bonusthemes.com
------------------------------------------------------- */

/* Son of RAXO all mode (http://raxo.org/)*/

defined('_JEXEC') or die('Restricted access');

require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

class btSuperNewsHELPER {

	function getList(&$params)
	{
		global $mainframe;
		$db				=& JFactory::getDBO();
		$user			=& JFactory::getUser();
		$aid			= (JVERSION < '1.6') ? $user->get('aid', 0) : max ($user->getAuthorisedViewLevels());	
		$userId			= (int) $user->get('id');
		$contentConfig	= &JComponentHelper::getParams('com_content');
		$access			= !$contentConfig->get('shownoauth');

		// SOURCE
		$source_secid	= (JVERSION < '1.6') ? trim($params->get('source_secid')) : '';
		$source_catid	= trim($params->get('source_catid'));
		$source_artid	= trim($params->get('source_artid'));

		// FILTERS
		$limit			= (int) $params->get('limit');
		$count			= (int) $params->get('count', 5);

		// INFO
		$show_sec		 = (JVERSION < '1.6') ? $params->def('show_sec', 1) : '';	
		$show_cat		 = $params->def('show_cat', 1);
		$show_date		 = $params->def('show_date', 1);
		$date_format	 = trim($params->get('date_format', 'd M Y, H:i'));
		$show_author	 = $params->def('show_author', 1);
		$show_hits		 = $params->def('show_hits', 1);
		$show_print_icon = $params->get('show_print_icon', 1);
		$show_email_icon = $params->get('show_email_icon', 1);
		
		// TEXT
		$show_title		= $params->def('show_title', 1);
		$show_intro		= $params->def('show_intro', 1);
		$limit_title	= $params->get('limit_title');
		$limit_number	= $params->get('limit_number');
		$readmore		= trim($params->get('readmore', ''));

		// IMAGES
		$show_image		= $params->def('show_image', 1);
		$img_width		= intval($params->get('image_width'));
		$img_height		= intval($params->get('image_height'));
		$image_crop		= $params->def('image_crop', 1);

		// Source Selection
		$secid = $catid = $artid = '';
		$secid = (JVERSION < '1.6') ? $source_secid : '';
		$catid = $source_catid;
		
		if ($secid && JVERSION < '1.6') {
			$ids = explode(',', $secid);
			JArrayHelper::toInteger($ids);
			$secCondition = " AND (s.id=".implode(' OR s.id=', $ids).") \n";
		}
		if ($catid) {
			$ids = explode(',', $catid);
			JArrayHelper::toInteger($ids);
			$catCondition = " AND (c.id=".implode(' OR c.id=', $ids).") \n";
		}

		// Date
		$nullDate	= $db->getNullDate();
		$date		=& JFactory::getDate();
		$now		= $date->toMySQL();
		
		if (JVERSION < '1.6') {
			// joomla 1.5
			$where		= "a.state = 1 AND a.sectionid > 0 \n"
			."AND (a.publish_up = ".$db->Quote($nullDate)." OR a.publish_up <= ".$db->Quote($now).") \n"
			."AND (a.publish_down = ".$db->Quote($nullDate)." OR a.publish_down >= ".$db->Quote($now).") \n";		
		}else{
			// joomla 1.6
			$where		= "a.state = 1 \n"
			."AND (a.publish_up = ".$db->Quote($nullDate)." OR a.publish_up <= ".$db->Quote($now).") \n"
			."AND (a.publish_down = ".$db->Quote($nullDate)." OR a.publish_down >= ".$db->Quote($now).") \n";
		}
		
		// Ordering
		switch ($params->get('ordering')) {
			case 'created_asc':
				$orderBy = 'a.created';
			break;
			case 'popular_first':
				$orderBy = 'a.hits DESC';
			break;
			case 'popular_last':
				$orderBy = 'a.hits ASC';
			break;
			case 'id_asc':
				$orderBy = 'a.id';
			break;
			case 'id_dsc':
				$orderBy = 'a.id DESC';
			break;
			case 'random':
				$orderBy = 'rand()';
			break;
			case 'created_dsc':
			default:
				$orderBy = 'a.created DESC';
			break;
		}

		// Select Items
		if (JVERSION < '1.6') {
			// joomla 1.5
			$query = "SELECT ".
			"a.id, a.catid, a.sectionid AS secid, a.title AS atitle, c.title AS ctitle, s.title AS stitle, ".
			"a.introtext, a.fulltext, a.created, u.name, a.created_by_alias, a.hits, a.access, \n".
			"CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(':', a.id, a.alias) ELSE a.id END AS slug, \n".
			"CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(':', c.id, c.alias) ELSE c.id END AS catslug \n".
			"FROM #__content AS a \n".
			"INNER JOIN #__sections AS s ON s.id = a.sectionid \n".
			"INNER JOIN #__categories AS c ON c.id = a.catid \n".
			"LEFT JOIN #__users AS u ON u.id = a.created_by \n".
			"WHERE ". $where .
				($access ? " AND s.access <= ".(int) $aid." AND c.access <= ".(int) $aid." AND a.access <= ".(int) $aid : "").
				($artid ? $artCondition : "").
				($catid ? $catCondition : "").
				($secid ? $secCondition : "").
				" AND s.published = 1 AND c.published = 1 \n".
			" ORDER BY ". $orderBy;		
		}else{
			// joomla 1.6
			$query = "SELECT ".
			"a.id, a.catid, a.title AS atitle, c.title AS ctitle, ".
			"a.introtext, a.fulltext, a.created, u.name, a.created_by_alias, a.hits, a.access, \n".
			"CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(':', a.id, a.alias) ELSE a.id END AS slug, \n".
			"CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(':', c.id, c.alias) ELSE c.id END AS catslug \n".
			"FROM #__content AS a \n".
			"INNER JOIN #__categories AS c ON c.id = a.catid \n".
			"LEFT JOIN #__users AS u ON u.id = a.created_by \n".
			"WHERE ". $where .
				($access ? " AND c.access <= ".(int) $aid." AND a.access <= ".(int) $aid : "").
				($artid ? $artCondition : "").
				($catid ? $catCondition : "").
				" AND c.published = 1 \n".
			" ORDER BY ". $orderBy;
		}
		$db->setQuery($query, 0, $count);
		$rows = $db->loadObjectList();
		echo $db->getErrorMsg();


		$i		= 0;
		$lists	= array();
		foreach ($rows as $row) {
			
			if (JVERSION < '1.6') {
				// joomla 1.5
				$lists[$i]->readmore = $lists[$i]->comments_link = $lists[$i]->comments_count = $lists[$i]->hits = $lists[$i]->print_icon = $lists[$i]->email_icon = $lists[$i]->author = $lists[$i]->category = $lists[$i]->section = $lists[$i]->text = $lists[$i]->image = $lists[$i]->date = $lists[$i]->link = $lists[$i]->title = '';
			}else{
				// joomla 1.6
				$lists[$i]->readmore = $lists[$i]->comments_link = $lists[$i]->comments_count = $lists[$i]->hits = $lists[$i]->print_icon = $lists[$i]->email_icon = $lists[$i]->author = $lists[$i]->category = $lists[$i]->text = $lists[$i]->image = $lists[$i]->date = $lists[$i]->link = $lists[$i]->title = '';
			}
		
			if ($row->access <= $aid && JVERSION < '1.6') {
				// joomla 1.5
				$lists[$i]->link = JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug, $row->secid));
			} else {
				// joomla 1.6
				$lists[$i]->link = JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug));
			}

			// Items Title
			if ($show_title) {
				$row->atitle = trim(htmlspecialchars($row->atitle));
				$lists[$i]->title	= ($limit_title) ? btSuperNewsHELPER::btTextLimit($row->atitle, $limit_title) : $row->atitle;
			}

			// Show Images
			$items_start	= 0;
			$items_end		= $count;

			if ($show_image && $i >= $items_start && $i < $items_end) {
				$image_width		= $img_width;
				$image_height		= $img_height;

				$img_src1 = $img_src2 = $noimg_src = $img_prm = '';
				if ($image_width || $image_height) {
					$img_src1		= JURI::base(true).'/modules/mod_bt_supernews/tmpl/assets/helpers/bt_crop_img.php?src=';
					if ($image_width) {
						$img_src2	= '&amp;w='. $image_width;
					}
					if ($image_height) {
						$img_src2	.= '&amp;h='. $image_height;
					}
				}
				if ($image_crop && $image_width && $image_height) {
					$img_src2		.= '&amp;zc=1';
					$img_prm		= ' width="'. $image_width .'" height="'. $image_height .'"';
				}
				$img_prm			.= ' title="'. trim(htmlspecialchars($row->atitle)) .'"';

				$regex	= "/<img[^>]+src\s*=\s*[\"']\/?([^\"']+)[\"'][^>]*\>/";
				preg_match ($regex, $row->introtext.$row->fulltext, $matches);
				$images	= (count($matches)) ? $matches[1] : @$noimg_src;

				if ($images) {
					$img_src1			= ($img_src1 && strncasecmp($images, "http", 4) !== 0) ? $img_src1.JURI::base(true).'/' : $img_src1;
					$lists[$i]->image	= '<img src="'. @$img_src1 . $images . @$img_src2 .'"'. @$img_prm .' alt="" />';
					$lists[$i]->image	= ($params->get('template') == "slide_show") ? $lists[$i]->image : '<a href="'. $lists[$i]->link .'">'.$lists[$i]->image.'</a>'; // link to image
					$row->introtext		= preg_replace('/<img[^>]+\>/', '', $row->introtext, 1);
				}
			}

			// Show Text
			if ($show_intro) {

				// Clean XHTML
				$row->introtext = preg_replace('/{([a-zA-Z0-9\-_]*)\s*(.*?)}/i', '', $row->introtext);
				$row->introtext = strip_tags($row->introtext, '');
				$row->introtext = str_replace('&nbsp;', ' ', $row->introtext);
				$row->introtext = preg_replace('/[\r\n\t\x{20}\x{0}\x{0B}]+/si', ' ', trim($row->introtext));

				// Limit Text
				if ($limit_number) {
					$lists[$i]->text = btSuperNewsHELPER::btTextLimit($row->introtext, $limit_number);
				} else {
					$lists[$i]->text = $row->introtext;
				}
			}

			// Show Section & Category
			if ($show_sec && JVERSION < '1.6') {
				$lists[$i]->section = '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($row->secid)).'">'.htmlspecialchars($row->stitle).'</a>';
			}
			if ($show_cat) {
				$lists[$i]->category = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($row->catid, 0)).'">'.htmlspecialchars($row->ctitle).'</a>';
			}

			// Show Date
			if ($show_date) {
				$lists[$i]->date = date($date_format ,strtotime($row->created));
			}

			// Show Hits
			if ($show_hits) {
				$lists[$i]->hits = $row->hits;
			}
			
			// Font Size
			$lists[$i]->fontsize = $params->get('fontsize', '100');

			// Show Author
			if ($show_author) {
				if ($row->created_by_alias) {
					$lists[$i]->author = $row->created_by_alias;
				} else {
					$lists[$i]->author = htmlspecialchars($row->name, ENT_QUOTES, 'UTF-8');
				}
			}

			// Show Print Icon
			if ($show_print_icon) {
                $url  = 'index.php?view=article';
				$url .=  @$row->catslug ? '&catid='.$row->catslug : '';
				$url .= '&id='.$row->slug.'&tmpl=component&print=1&layout=default&page='.@ $request->limitstart;
				$print_icon_img = ($params->get('template') == "type1" || $params->get('template') == "type6") ? 'printIcon.png' : 'print.png';
				$img = '<img src="modules/mod_bt_supernews/tmpl/assets/icons/'.$print_icon_img.'" alt="Print this article" />';
				$status = 'status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no';
				$attribs['title']	= JText::_( 'Print' );
				if ($params->get('template') == "scroll_news") {
					$attribs['onclick'] = "window.open(this.href,\'win2\',\'".$status."\'); return false;";
				}else{
					$attribs['onclick'] = "window.open(this.href,'win2','".$status."'); return false;";
				}
				$attribs['rel']     = 'nofollow';
				$lists[$i]->print_icon  = JHTML::_('link', JRoute::_($url), $img, $attribs);
			}

			// Show Email Icon
			if ($show_email_icon) {	
				require_once(JPATH_SITE.DS.'components'.DS.'com_mailto'.DS.'helpers'.DS.'mailto.php');
                $url = 'index.php?option=com_mailto&tmpl=component&link='.MailToHelper::addLink($lists[$i]->link);
				$email_icon_img = ($params->get('template') == "type1" || $params->get('template') == "type6") ? 'emailIcon.png' : 'email.png';
				$img = '<img src="modules/mod_bt_supernews/tmpl/assets/icons/'.$email_icon_img.'" alt="E-mail this article"  />';
				$status = 'width=400,height=350,menubar=yes,resizable=yes';
				$attribs['title']	= JText::_( 'Email' );
				if ($params->get('template') == "scroll_news") {
					$attribs['onclick'] = "window.open(this.href,\'win2\',\'".$status."\'); return false;";
				}else{
					$attribs['onclick'] = "window.open(this.href,'win2','".$status."'); return false;";
				}
				$lists[$i]->email_icon  = JHTML::_('link', JRoute::_($url), $img, $attribs);
			}

			// Show Readmore
			if ($readmore) {
				$readmore_style = ($params->get('template') == "type6") ? 'style="border-bottom: 7px solid #FF9900; padding: 0 0 4px 0;"' : '';
				$lists[$i]->readmore = '<a href="'.$lists[$i]->link.'" '.$readmore_style.'>'.$readmore.'</a>';
				
			}

			$i++;
		}
		return $lists;
	}

		function btTextLimit($text, $length)
		{
			if (JString::strlen($text) <= $length) return $text;
			$txt = JString::substr($text, 0, $length);
			$length = $length + (JString::strlen($txt) - JString::strlen(strip_tags($txt)));
			$length = JString::strrpos(JString::substr($text, 0, $length), ' ');
			$text = JString::substr($text, 0, $length).'&hellip;';
			
			return $text;
		}
}
?>